# Это конфигурационный файл DOSBox 0.74. (Пожалуйста, используйте самую свежую версию DOSBox.)
# Строки, начинающиеся с # являются комментариями и игнорируются DOSBox.
# Они используются, чтобы кратко описать каждую опцию. 

[sdl]
#       fullscreen: Запускает DOSBox сразу в полноэкранном режиме. (Для отключения нажмите ALT_ENTER)
#       fulldouble: Использовать двойную буферизацию при полноэкранном режиме. Может уменьшить мерцание экрана, но возможно приведёт к замедлению DOSBox.
#   fullresolution: Какое разрешение использовать для полного экрана: оригинальное или фиксированное значение (например, 1024x768).
#                   Использование "родного" разрешения монитора с параметром aspect=true может дать наилучшие результаты.
#                   Если вы получаете маленькое окошко на большом экране, попробуйте метод вывода отличный от surface.
# windowresolution: Масштабировать окно к этому размеру, ECЛИ устройство
#                   вывода поддерживает аппаратное масштабирование.
#                   (Режим вывода output=surface не поддерживает!)
#           output: Какую видеосистему использовать для вывода.
#                   Возможные значения: surface, overlay, opengl, openglnb, ddraw.
#         autolock: Мышь будет автоматически закреплена при щелчке по экрану. (Чтобы освободиь мышь нажмитеCTRL-F10.)
#      sensitivity: Чувствительность мыши.
#      waitonerror: Ждать перед закрытием консоли, если в DOSBox происходит ошибка.
#         priority: Уровни приоритета процесса DOSBox. Второй параметр (после запятой) используется, 
#                   когда DOSBox не активен или свернут. 
#                   Значение 'pause' поддерживается только для второго параметра.
#                   Возможные значения: lowest, lower, normal, higher, highest, pause.
#       mapperfile: Файл, используемый для загрузки/сохранения раскладки клавиш. Параметр resetmapper работает только со значением по умолчанию.
#     usescancodes: Обойти использование symkeys, может не работать на всех ОС.

fullscreen=false
fulldouble=false
fullresolution=original
windowresolution=original
output=surface
autolock=true
sensitivity=100
waitonerror=true
priority=higher,normal
mapperfile=mapper-0.74.map
usescancodes=true

[dosbox]
# language: Выбирает другой языковой файл.
#  machine: Тип машины, который будет эмулироваться.
#           Возможные значения: hercules, cga, tandy, pcjr, ega, vgaonly, svga_s3, svga_et3000, svga_et4000, svga_paradise, vesa_nolfb, vesa_oldvbe.
# captures: Директория, куда будут сохраняться такие вещи, как wave, midi, скриншоты.
#  memsize: Величина памяти для DOSBox в мегабайтах.
#             Это значение лучше оставить по умолчанию, чтобы избежать проблем с некоторыми играми,
#             хотя некоторые другие могут потребовать больших значений.
#             Увеличение этого значения в общем случае не повышает быстродействие.

language=
machine=svga_s3
captures=capture
memsize=16

[render]
# frameskip: Сколько кадров DOSBox пропускает перед тем, как отрисовать один.
#    aspect: Выполнять коррекцию соотношения сторон. Если ваш метод вывода не поддерживает 
#            масштабирование, это может замедлить работу!
#    scaler: Используется для увеличения/улучшения режимов с низким разрешением. 
#            Если после основного значения указано включено 'forced', масштабирование 
#            будет использовано, даже если результат может быть нежелательным.
#            Возможные значения: none, normal2x, normal3x, advmame2x, advmame3x, advinterp2x, advinterp3x, hq2x, hq3x, 2xsai, super2xsai, supereagle, tv2x, tv3x, rgb2x, rgb3x, scan2x, scan3x.

frameskip=0
aspect=false
scaler=normal2x

[cpu]
#      core: Ядро ЦПУ используемое в эмуляции. 'auto' переключает 'normal' на 'dynamic', если возможно.
#            Возможные значения: auto, dynamic, normal, simple.
#   cputype: Тип ЦПУ используемый в эмуляции. 'auto' выбирает самый быстрый вариант.
#            Возможные значения: auto, 386, 386_slow, 486_slow, pentium_slow, 386_prefetch.
#    cycles: Число инструкций, которое DOSBox пытается эмулировать каждую  миллисекунду. 
#            Установка выше возможностей вашей машины может привести к прерываниям звука и лагам.
#            Может быть установлено тремя способами:
#              'auto'          пытается подобрать нужное игре значение.
#                              Это обычно работает, но для некоторых игр создает проблемы.
#              'fixed #число'  устанавливает фиксированное число циклов. Это то, что обычно нужно, если не сработало 'auto'.
#                              (Например: fixed 4000)
#              'max'           выставит максимальное число циклов, на которое способен ваш компьютер
#            
#            Возможные значения: auto, fixed, max.
#   cycleup: Число циклов для увеличения/уменьшения основного значения по нажатии комбинации клавиш (CTRL-F11/CTRL-F12).
# cycledown: Установка значения менее 100 задаёт изменение основного значения в процентах.

core=auto
cputype=auto
cycles=auto
cycleup=10
cycledown=20

[mixer]
#   nosound: Включает тихий режим, хотя звук все равно эмулируется.
#      rate: Темп микшера. Настройка значения темпа любого другого устройства выше, 
#            чем этот возможно ухудшит их качество звука.
#            Возможные значения: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
# blocksize: Размер блоков микшера, увеличение блоков может помочь с заиканием
#            звука, но звук будет больше отставать.
#            Возможные значения: 1024, 2048, 4096, 8192, 512, 256.
# prebuffer: Сколько миллисекунд данных держать перед размером блока микшера.

nosound=false
rate=44100
blocksize=1024
prebuffer=20

[midi]
#     mpu401: Тип MPU-401 для эмуляции.
#             Возможные значения: intelligent, uart, none.
# mididevice: Устройство, которое будет получать данные MIDI от MPU-401.
#             Возможные значения: default, win32, alsa, oss, coreaudio, coremidi, none.
# midiconfig: Специальные конфигурационные опции для устройства. Обычно это id 
#             устройства, которое хотите использовать. Обратитесь к README/Руководству за подробностями.

mpu401=intelligent
mididevice=default
midiconfig=

[sblaster]
#  sbtype: Тип эмулируемого SoundBlaster. Значение gb означает Gameblaster.
#          Возможные значения: sb1, sb2, sbpro1, sbpro2, sb16, gb, none.
#  sbbase: Адрес порта ввода/вывода (IO) SoundBlaster.
#          Возможные значения: 220, 240, 260, 280, 2a0, 2c0, 2e0, 300.
#     irq: Номер прерывания (IRQ) SoundBlaster.
#          Возможные значения: 7, 5, 3, 9, 10, 11, 12.
#     dma: Номер ПДП (DMA) SoundBlaster.
#          Возможные значения: 1, 5, 0, 3, 6, 7.
#    hdma: Номер верхнего ПДП (High DMA) SoundBlaster.
#          Возможные значения: 1, 5, 0, 3, 6, 7.
# sbmixer: Позволить микшеру SoundBlaster модифицировать микшер DOSBox.
# oplmode: Тип эмуляции OPL. При 'auto' режим определяется типом SoundBlaster. 
#          Все режимы OPL совместимы с Adlib, кроме 'cms'.
#          Возможные значения: auto, cms, opl2, dualopl2, opl3, none.
#  oplemu: Реализация эмуляции OPL. Возможно 'compat' сможет обеспечить лучшее качество (см. также 'oplrate').
#          Возможные значения: default, compat, fast.
# oplrate: Темп эмуляции OPL музыки. Укажите 49716 для наилучшего качества (установите соответствующий темп микшера).
#          Возможные значения: 44100, 49716, 48000, 32000, 22050, 16000, 11025, 8000.

sbtype=sb16
sbbase=220
irq=7
dma=1
hdma=5
sbmixer=true
oplmode=auto
oplemu=default
oplrate=44100

[gus]
#      gus: Включить эмуляцию Gravis Ultrasound.
#  gusrate: Темп эмуляции Gravis Ultrasound.
#           Возможные значения: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#  gusbase: Адрес порта ввода/вывода (IO) Gravis Ultrasound.
#           Возможные значения: 240, 220, 260, 280, 2a0, 2c0, 2e0, 300.
#   gusirq: Номер прерывания (IRQ) Gravis Ultrasound.
#           Возможные значения: 5, 3, 7, 9, 10, 11, 12.
#   gusdma: Номер ПДП (DMA) Gravis Ultrasound.
#           Возможные значения: 3, 0, 1, 5, 6, 7.
# ultradir: Путь к директории Gravis Ultrasound. В этой директории должна быть директория 
#           MIDI, которая содержит файлы патчей для воспроизведения GUS. Файлы патчей,
#           используемые с Timidity должны работать нормально.

gus=false
gusrate=44100
gusbase=240
gusirq=5
gusdma=3
ultradir=C:\ULTRASND

[speaker]
# pcspeaker: Включить эмуляцию динамика ПК.
#    pcrate: Темп генерации звука динамика ПК.
#            Возможные значения: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#     tandy: Включить эмуляцию звуковой системы Tandy. Для режима 'auto' эмуляция включается, 
#            только если тип машины установлен как 'tandy'.
#            Возможные значения: auto, on, off.
# tandyrate: Темп генерации трёхголосого Tandy.
#            Возможные значения: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#    disney: Включить эмуляцию Disney Sound Source. Совместимо с Covox Voice Master and 
#            Speech Thing.

pcspeaker=true
pcrate=44100
tandy=auto
tandyrate=44100
disney=true

[joystick]
# joysticktype: Типы джойстиков для эмуляции: auto (установлено по умолчанию), none, 
#               2axis (поддерживается два джойстика), 
#               4axis (поддерживается один джойстик, используется первый),
#               4axis_2 (поддерживается один джойстик, используется второй), 
#               fcs (Thrustmaster), ch (CH Flightstick).
#               none отключает эмуляцию джойстика.
#               auto выбирает значение в зависимости от реально подключенного джойстика(ов).
#               (Не забудьте сбросить настройку раскладки клавиш DOSBox, если вы её сохраняли.)
#               Возможные значения: auto, 2axis, 4axis, 4axis_2, fcs, ch, none.
#        timed: Включить временные интервалы для осей. Поэкспериментируйте с этим параметром, если джойстик "уплывает".
#     autofire: Кнопки продолжают нажиматься постоянно, пока вы их держите нажатыми.
#       swap34: Меняет местами 3ю и 4ю оси джойстика (может быть полезно для некоторых
#               моделей джойстиков).
#   buttonwrap: Осуществляет подмену количества реальных кнопок на количество эмулируемых.

joysticktype=auto
timed=true
autofire=false
swap34=false
buttonwrap=false

[serial]
# serial1: Устанавливает тип устройства, соединенного с COM портом.
#          Может быть: disabled, dummy, modem, nullmodem, directserial.
#          Дополнительные параметры должны быть заданы на той же строке, в виде
#          параметр:значение. Параметры для всех типов: irq  (необязательно).
#          для directserial: realport (необходимо), rxdelay (необязательно).
#                           (realport:COM1 realport:ttyS0).
#          для modem: listenport (необязательно).
#          для nullmodem: server, rxdelay, txdelay, telnet, usedtr,
#                         transparent, port, inhsocket (все - необязательно).
#          Пример: serial1=modem listenport:5000
#          Возможные значения: dummy, disabled, modem, nullmodem, directserial.
# serial2: См. serial1
#          Возможные значения: dummy, disabled, modem, nullmodem, directserial.
# serial3: См. serial1
#          Возможные значения: dummy, disabled, modem, nullmodem, directserial.
# serial4: См. serial1
#          Возможные значения: dummy, disabled, modem, nullmodem, directserial.

serial1=dummy
serial2=dummy
serial3=disabled
serial4=disabled

[dos]
#            xms: Включить поддержку XMS.
#            ems: Включить поддержку EMS.
#            umb: Включает поддержку UMB.
# keyboardlayout: Код языка для клавиатурной раскладки (или 'none').

xms=true
ems=true
umb=true
keyboardlayout=auto

[ipx]
# ipx: Включает эмуляцию ipx над UDP/IP.

ipx=false

[autoexec]
# Команды в этой секции будут выполнены при запуске.
# Вы можете указать здесь ваши команды монтирования устройств (MOUNT).


